Create a new project
curl --request POST \
--url https://app.planpoint.io/api/projects \
--header 'Authorization: <api-key>'import requests
url = "https://app.planpoint.io/api/projects"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://app.planpoint.io/api/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.planpoint.io/api/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.planpoint.io/api/projects"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.planpoint.io/api/projects")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.planpoint.io/api/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_id": "objectId",
"user": "objectId",
"floors": [
"objectId"
],
"commercialSpaces": [
"objectId"
],
"name": "<string>",
"websiteURL": "<string>",
"internalURL": "<string>",
"accentColor": "<string>",
"showInclusions": true,
"showBathrooms": true,
"showAdditionalInfo": true,
"showParking": true,
"showOrientation": true,
"brochureButtonEnabled": true,
"brochureAssets": [
"<string>"
],
"customButtonEnabled": true,
"customButtonOpensAt": "same_tab",
"walkscoreEnabled": true,
"walkscore": "<string>",
"customButtonText": "<string>",
"customButtonIcon": "<string>",
"showAvailability": true,
"hideSold": true,
"showPrices": true,
"initialView": "List",
"gtmEnabled": false,
"dayNightEnabled": false,
"showAvailableFirst": false,
"gtmHeadCode": "",
"gtmBodyCode": "",
"unitImageOnGrid": "Unit Plan",
"skipFloorStep": false,
"areaUnit": "<string>",
"showUnitCustomFinishes": false,
"showFloorOverview": false,
"pricesStartingAt": false,
"showPriceFilter": true,
"showAreaFilter": true,
"showUnitDescription": false,
"showTaxes": true,
"sharePageEnabled": true,
"sharePageDescription": "<string>",
"sharePageLogo": "<string>",
"priceBeforeTax": true,
"enableForms": true,
"rentalObject": true,
"deliveryDates": true,
"hideArea": false,
"showBranding": true,
"projectImageUrl": "<string>",
"alternativeCovers": [
"<string>"
],
"customButtonActionType": "url",
"projectSVGUrl": "<string>",
"svgGroupId": "<string>",
"layoutImageUrl": "<string>",
"formsSendTo": "<string>",
"formsSubject": "<string>",
"formsFromName": "<string>",
"formsMessage": "<string>",
"formsRedirectURL": "<string>",
"namespace": "<string>",
"hostName": "<string>",
"projectLang": "<string>",
"projectType": "<string>",
"propertyType": "<string>",
"lotsLayout": "<string>",
"areaDescription": "<string>",
"enterpriseAddressDisplay": "<string>",
"similarSortingBy": "default",
"onHoldExperienceEnabled": false,
"onHoldMinsDuration": 5,
"customFormEnabled": false,
"customFormFields": [],
"crfMessage": "<string>",
"mapLayoutWidth": 123,
"mapLayoutRotation": 123,
"previewMode": false,
"landOnly": false,
"showUnitFinishes": false,
"showVariants": false,
"administrators": [
"objectId"
],
"editors": [
"objectId"
],
"globalAmount": 123,
"chargeType": "same",
"chargeDescription": "",
"chargeCurrency": "usd",
"payButtonText": "Pay Now",
"payButtonIcon": "",
"invites": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"level": "<string>"
}
],
"leads": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"unit": "<string>",
"message": "<string>",
"source": "<string>",
"createdAt": "<string>",
"questions": [
{
"question": "<string>",
"answer": "<string>"
}
],
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"waitlistees": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"unit": "<string>",
"createdAt": "<string>"
}
],
"allocations": [
{
"name": "<string>",
"password": "<string>",
"allocation": "<string>"
}
],
"images": [
"<string>"
],
"finishes": [
"<string>"
],
"customFinishes": {
"name": "<string>",
"options": {
"kitchen": {
"tabs": [
{
"label": "<string>",
"cover": "<string>",
"thumbnail": "<string>"
}
]
},
"bathroom": {
"tabs": [
{
"label": "<string>",
"cover": "<string>",
"thumbnail": "<string>"
}
]
},
"general": {
"tabs": [
{
"label": "<string>",
"cover": "<string>",
"thumbnail": "<string>"
}
]
}
}
},
"sponsorsEnabled": false,
"waitlistEnabled": false,
"sponsors": "<string>",
"layouts": "<string>",
"downloadableAssets": "<string>",
"floorplans": "<string>",
"plan": {},
"path": "<string>",
"alternativePaths": "<string>",
"invertNav": false,
"address": "<string>",
"lon": -93.75940812944683,
"lat": 43.75940812944682,
"zoomLevel": 0,
"perimeter": "<string>",
"markerImageUrl": "<string>",
"targetMarker": "<string>",
"mapStyle": "Light",
"mapPointColor": "<string>",
"mapDirections": false,
"calUsername": "<string>",
"calKey": "<string>",
"payPalClientId": "<string>",
"payPalDeposit": 123,
"payPalCurrency": "<string>",
"yiApiToken": "<string>",
"yiCompanyCode": "<string>",
"yiPropertyCode": "<string>",
"yiStatusMapping": {
"available": "<string>",
"leased": "<string>",
"sold": "<string>",
"unavailable": "<string>",
"reserved": "<string>"
},
"pvUsername": "<string>",
"pvPassword": "<string>",
"pvBuildingName": "<string>",
"zhClientId": "<string>",
"zhAccessToken": "<string>",
"zhClientSecret": "<string>",
"zhOrgId": "<string>",
"srToken": "<string>",
"srBaseUrl": "<string>",
"sfProjectId": "<string>",
"sfKey": "<string>",
"sfSecret": "<string>",
"soProjectId": "<string>",
"soKey": "<string>",
"soSecret": "<string>",
"soDomain": "<string>",
"bsBuildingId": "<string>",
"bsUsername": "<string>",
"bsPassword": "<string>",
"ftpUrl": "<string>",
"ftpPort": 123,
"ftpUsername": "<string>",
"ftpPassword": "<string>",
"ftpWhitelist": "<string>",
"ftpBlacklist": "<string>",
"ftpPath": "<string>",
"ftpFileName": "<string>",
"ftpMapping": [
{
"header": "<string>",
"property": "<string>"
}
],
"colorBase": "<string>",
"colorAccent": "<string>",
"colorHover": "<string>",
"colorButton": "<string>",
"colorButtonText": "<string>",
"colorText": "<string>",
"colorFeatured": "<string>",
"colorSold": "<string>",
"colorAvailable": "<string>",
"colorReserved": "<string>",
"styleNavigation": "<string>",
"styleBranding": "<string>",
"styleFilter": "<string>",
"styleShapes": "<string>",
"styleFont": "<string>",
"subscriptionItem": "<string>",
"lastSync": "<string>",
"lockScreen": false,
"specialRankEnabled": false,
"priorityList": false,
"lockScreenName": true,
"lockScreenEmail": true,
"lockScreenPhone": true,
"lockScreenMessage": true,
"lockScreenCustom": false,
"lockScreenCustomQuestions": [
{
"lang": "<string>",
"value": "<string>"
}
],
"_3dModelUrl": "<string>",
"reportSendTo": "<string>",
"eventsBlockList": "<string>",
"excludeBlockedEvents": true,
"enable3d": false,
"_3dBuildingModelUrl": "<string>",
"_3dFloorSelectorModelUrl": "<string>",
"phasePrefix": "<string>",
"hideGallery": true,
"hideBedrooms": true
}Projects
Create Project
Create a new project
POST
/
projects
Create a new project
curl --request POST \
--url https://app.planpoint.io/api/projects \
--header 'Authorization: <api-key>'import requests
url = "https://app.planpoint.io/api/projects"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://app.planpoint.io/api/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.planpoint.io/api/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.planpoint.io/api/projects"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.planpoint.io/api/projects")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.planpoint.io/api/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_id": "objectId",
"user": "objectId",
"floors": [
"objectId"
],
"commercialSpaces": [
"objectId"
],
"name": "<string>",
"websiteURL": "<string>",
"internalURL": "<string>",
"accentColor": "<string>",
"showInclusions": true,
"showBathrooms": true,
"showAdditionalInfo": true,
"showParking": true,
"showOrientation": true,
"brochureButtonEnabled": true,
"brochureAssets": [
"<string>"
],
"customButtonEnabled": true,
"customButtonOpensAt": "same_tab",
"walkscoreEnabled": true,
"walkscore": "<string>",
"customButtonText": "<string>",
"customButtonIcon": "<string>",
"showAvailability": true,
"hideSold": true,
"showPrices": true,
"initialView": "List",
"gtmEnabled": false,
"dayNightEnabled": false,
"showAvailableFirst": false,
"gtmHeadCode": "",
"gtmBodyCode": "",
"unitImageOnGrid": "Unit Plan",
"skipFloorStep": false,
"areaUnit": "<string>",
"showUnitCustomFinishes": false,
"showFloorOverview": false,
"pricesStartingAt": false,
"showPriceFilter": true,
"showAreaFilter": true,
"showUnitDescription": false,
"showTaxes": true,
"sharePageEnabled": true,
"sharePageDescription": "<string>",
"sharePageLogo": "<string>",
"priceBeforeTax": true,
"enableForms": true,
"rentalObject": true,
"deliveryDates": true,
"hideArea": false,
"showBranding": true,
"projectImageUrl": "<string>",
"alternativeCovers": [
"<string>"
],
"customButtonActionType": "url",
"projectSVGUrl": "<string>",
"svgGroupId": "<string>",
"layoutImageUrl": "<string>",
"formsSendTo": "<string>",
"formsSubject": "<string>",
"formsFromName": "<string>",
"formsMessage": "<string>",
"formsRedirectURL": "<string>",
"namespace": "<string>",
"hostName": "<string>",
"projectLang": "<string>",
"projectType": "<string>",
"propertyType": "<string>",
"lotsLayout": "<string>",
"areaDescription": "<string>",
"enterpriseAddressDisplay": "<string>",
"similarSortingBy": "default",
"onHoldExperienceEnabled": false,
"onHoldMinsDuration": 5,
"customFormEnabled": false,
"customFormFields": [],
"crfMessage": "<string>",
"mapLayoutWidth": 123,
"mapLayoutRotation": 123,
"previewMode": false,
"landOnly": false,
"showUnitFinishes": false,
"showVariants": false,
"administrators": [
"objectId"
],
"editors": [
"objectId"
],
"globalAmount": 123,
"chargeType": "same",
"chargeDescription": "",
"chargeCurrency": "usd",
"payButtonText": "Pay Now",
"payButtonIcon": "",
"invites": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"level": "<string>"
}
],
"leads": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"unit": "<string>",
"message": "<string>",
"source": "<string>",
"createdAt": "<string>",
"questions": [
{
"question": "<string>",
"answer": "<string>"
}
],
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"waitlistees": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"unit": "<string>",
"createdAt": "<string>"
}
],
"allocations": [
{
"name": "<string>",
"password": "<string>",
"allocation": "<string>"
}
],
"images": [
"<string>"
],
"finishes": [
"<string>"
],
"customFinishes": {
"name": "<string>",
"options": {
"kitchen": {
"tabs": [
{
"label": "<string>",
"cover": "<string>",
"thumbnail": "<string>"
}
]
},
"bathroom": {
"tabs": [
{
"label": "<string>",
"cover": "<string>",
"thumbnail": "<string>"
}
]
},
"general": {
"tabs": [
{
"label": "<string>",
"cover": "<string>",
"thumbnail": "<string>"
}
]
}
}
},
"sponsorsEnabled": false,
"waitlistEnabled": false,
"sponsors": "<string>",
"layouts": "<string>",
"downloadableAssets": "<string>",
"floorplans": "<string>",
"plan": {},
"path": "<string>",
"alternativePaths": "<string>",
"invertNav": false,
"address": "<string>",
"lon": -93.75940812944683,
"lat": 43.75940812944682,
"zoomLevel": 0,
"perimeter": "<string>",
"markerImageUrl": "<string>",
"targetMarker": "<string>",
"mapStyle": "Light",
"mapPointColor": "<string>",
"mapDirections": false,
"calUsername": "<string>",
"calKey": "<string>",
"payPalClientId": "<string>",
"payPalDeposit": 123,
"payPalCurrency": "<string>",
"yiApiToken": "<string>",
"yiCompanyCode": "<string>",
"yiPropertyCode": "<string>",
"yiStatusMapping": {
"available": "<string>",
"leased": "<string>",
"sold": "<string>",
"unavailable": "<string>",
"reserved": "<string>"
},
"pvUsername": "<string>",
"pvPassword": "<string>",
"pvBuildingName": "<string>",
"zhClientId": "<string>",
"zhAccessToken": "<string>",
"zhClientSecret": "<string>",
"zhOrgId": "<string>",
"srToken": "<string>",
"srBaseUrl": "<string>",
"sfProjectId": "<string>",
"sfKey": "<string>",
"sfSecret": "<string>",
"soProjectId": "<string>",
"soKey": "<string>",
"soSecret": "<string>",
"soDomain": "<string>",
"bsBuildingId": "<string>",
"bsUsername": "<string>",
"bsPassword": "<string>",
"ftpUrl": "<string>",
"ftpPort": 123,
"ftpUsername": "<string>",
"ftpPassword": "<string>",
"ftpWhitelist": "<string>",
"ftpBlacklist": "<string>",
"ftpPath": "<string>",
"ftpFileName": "<string>",
"ftpMapping": [
{
"header": "<string>",
"property": "<string>"
}
],
"colorBase": "<string>",
"colorAccent": "<string>",
"colorHover": "<string>",
"colorButton": "<string>",
"colorButtonText": "<string>",
"colorText": "<string>",
"colorFeatured": "<string>",
"colorSold": "<string>",
"colorAvailable": "<string>",
"colorReserved": "<string>",
"styleNavigation": "<string>",
"styleBranding": "<string>",
"styleFilter": "<string>",
"styleShapes": "<string>",
"styleFont": "<string>",
"subscriptionItem": "<string>",
"lastSync": "<string>",
"lockScreen": false,
"specialRankEnabled": false,
"priorityList": false,
"lockScreenName": true,
"lockScreenEmail": true,
"lockScreenPhone": true,
"lockScreenMessage": true,
"lockScreenCustom": false,
"lockScreenCustomQuestions": [
{
"lang": "<string>",
"value": "<string>"
}
],
"_3dModelUrl": "<string>",
"reportSendTo": "<string>",
"eventsBlockList": "<string>",
"excludeBlockedEvents": true,
"enable3d": false,
"_3dBuildingModelUrl": "<string>",
"_3dFloorSelectorModelUrl": "<string>",
"phasePrefix": "<string>",
"hideGallery": true,
"hideBedrooms": true
}Query Parameters
Response
Successful operation